
extern void usbcdc_init();
extern void usbcdc_poll();
extern unsigned char usbcdc_getc(void);
extern void usbcdc_putc(unsigned char data);

extern int8_t usbcdc_can_getc(int8_t size);
extern int8_t usbcdc_can_putc(int8_t size);

extern void usbcdc_put_pstr(const prog_char *str);
extern void usbcdc_put_hex(uint8_t d);


static inline unsigned char __usbcdc_getc_nc(void) {
	UENUM = EP_TX;
	return UEDATX;
}

static inline void __usbcdc_putc_nc(unsigned char data) {
	UENUM = EP_RX;
	UEDATX = data;
}
